﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="ViafirmaInboxWSExampleDotNet._Default" %>

<%
    //Configuración  
    //PLEASE SET UP HERE  
    //String urlConexion = "http://testservices.viafirma.com/inbox/app/default/serviceWS";
    String urlConexion = "http://192.168.10.60:9080/tray/app/default/serviceWS";
    String returnUrl = "http://localhost:1181/Default.aspx?action=";
    String notificationUrl = "";
    String system = "javi"; //Vacío si no hay autenticación
    String key = "ACAZGHBNPNB6DRYLOBVJJQKE8JECE1VR0CSN3LDP"; //Vacío si no hay autenticación
    String nifPruebas = "09431554J";
    String workflowTest = "BNDNZRTH9N";
    string serverVersion = "1.5.x";
    //SET UP END

    //No modificar a partir de aquí
    String pdfPruebas = "test.txt";
    byte[] datos = System.Text.ASCIIEncoding.ASCII.GetBytes("Contenido del documento firmado");
    String action = Request["action"];
    String res = Request["res"];
    String message = Request["message"];
    //Inicializamos
    if (system != null && !system.Equals("") && key != null && !key.Equals(""))
    {
        ViafirmaInboxClient.init(urlConexion, system, key);
    }
    else
    {
        ViafirmaInboxClient.init(urlConexion);
    }

    ViafirmaInboxClient viafirmaInboxClient = ViafirmaInboxClient.GetInstance();
    ServiceWS cliente = viafirmaInboxClient.getRemoteObject();
    try
    {
        if (action != null && action.Equals("preparecompose"))
        {
            returnUrl += "preparecomposeresponse";

            composeRequestResponseDTO prepareComposeResponse = cliente.prepareComposeRequest(nifPruebas, pdfPruebas, datos, returnUrl, notificationUrl);
            if (prepareComposeResponse.error)
            {
                //Error
                Response.Write("<p class='error'>Prepare Compose Request Error(" + prepareComposeResponse.responseCode + "): " + prepareComposeResponse.message + "</p>");
            }
            else
            {
                //Ok
                Response.Redirect(prepareComposeResponse.redirectUrl);
            }
        }
        else if (action != null && action.Equals("prepareworkflowcompose"))
        {
            returnUrl += "prepareworkflowcomposeresponse";
            workflowRequestResponseDTO prepareComposeResponse = cliente.prepareWorkflowRequest(nifPruebas, pdfPruebas, datos, workflowTest, returnUrl, notificationUrl);
            if (prepareComposeResponse.error)
            {
                //Error
                Response.Write("<p class='error'>Prepare Workflow Compose Request Error(" + prepareComposeResponse.responseCode + "): " + prepareComposeResponse.message + "</p>");
            }
            else
            {
                //Ok
                Response.Redirect(prepareComposeResponse.redirectUrl);
            }
        }
        else if (action != null && action.Equals("preparesign"))
        {
            returnUrl += "preparesignresponse";
            signRequestResponseDTO prepareComposeResponse = cliente.prepareSignRequest(nifPruebas, pdfPruebas, datos, returnUrl, notificationUrl, new requestMetadataDTO[]{});
            if (prepareComposeResponse.error)
            {
                //Error
                Response.Write("<p class='error'>Prepare Sign Request Error(" + prepareComposeResponse.responseCode + "): " + prepareComposeResponse.message + "</p>");
            }
            else
            {
                //Ok
                Response.Redirect(prepareComposeResponse.redirectUrl);
            }
        }
    }
    catch (Exception e)
    {
        Response.Write("<p class='error'>Error: " + e.Message + "</p>");
    }
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Viafirma Inbox WebServices - Examples</title>
    <style type="text/css" media="screen">
        @import url('css/screen.css');
    </style>
</head>
<body>
    <div id="global">
        <div id="cabecera">
            <h1>
                Viafirma Inbox WebServices Examples</h1>
        </div>
        <div id="cuerpo">
            <h2>
                Available Actions (server version: <%=serverVersion%>)</h2>
            <ul>
                <li><a href="?action=ping">Ping Test</a></li>
                <li><a href="?action=users">Get All Users</a></li>
                <li><a href="?action=userbynif">Get User By Nif (Ej.
                    <%=nifPruebas%>)</a></li>
                <li><a href="?action=searchusers">Search Users (Ej. Admin)</a></li>
                <li><a href="?action=jobs">Get Jobs</a></li>
                <li><a href="?action=groups">Get Groups</a></li>
                <li><a href="?action=workflows">Get Workflows</a></li>
                <li><a href="?action=rejecttypes">Get Reject Types</a></li>
                <li><a href="?action=metadata">Get Metadata Keys</a></li>
                <li><a href="?action=status">Get Status</a></li>
                <li><a href="?action=actiontypes">Get Action Types</a></li>
                <li><a href="?action=accesstypes">Get Access Types</a></li>
                <li><a href="?action=requestoperations">Test Request Operations</a></li>
                <li><a href="?action=preparecompose">Prepare Compose Request</a></li>
                <li><a href="?action=prepareworkflowcompose">Prepare Workflow Compose Request (Ej. '<%=workflowTest%>')</a></li>
                <li><a href="?action=preparesign">Prepare Sign Request</a></li>
                <li><a href="?action=evaluateGlobalWorkFlow">Evaluate Global WorkFlow</a></li>
                <li><a href="?action=evaluateWorkflowAndSendRequest">Evaluate WorkFlow + Send Request</a></li>
            </ul>
            <%
                if (action != null && !action.Equals(""))
                {
                    Response.Write("<hr />");
                    try
                    {
                        if (action.Equals("ping"))
                        {
                            Response.Write("<h2>Ping Test</h2>");
                            pingResponseDTO pingResponse = cliente.ping("prueba");
                            if (pingResponse.error)
                            {
                                //Error
                                Response.Write("<p class='error'>Get All users Error(" + pingResponse.responseCode + "): " + pingResponse.message + "</p>");
                            }
                            else
                            {
                                //Ok
                                Response.Write("<p>Ping Test OK</p>");
                            }
                        }
                        else if (action.Equals("users"))
                        {
                            Response.Write("<h2>Get All Users</h2>");
                            usersResponseDTO usersResponse = cliente.getUsers();
                            if (usersResponse.error)
                            {
                                //Error
                                Response.Write("<p class='error'>Get All users Error(" + usersResponse.responseCode + "): " + usersResponse.message + "</p>");
                            }
                            else
                            {
                                //Ok
                                userDTO[] usuarios = usersResponse.result;
                                Response.Write("<ul>");
                                for (int i = 0; i < usuarios.Length; i++)
                                {
                                    Response.Write("<li>" + usuarios[i].name + " " + usuarios[i].surname1 + " " + usuarios[i].surname2 + " [" + usuarios[i].nif + "]</li>");
                                }
                                Response.Write("</ul>");
                            }
                        }
                        else if (action.Equals("userbynif"))
                        {
                            Response.Write("<h2>Get User By Nif (Ej. " + nifPruebas + ")</h2>");
                            userResponseDTO userResponse = cliente.getUserByPersonId(nifPruebas);
                            if (userResponse.error)
                            {
                                //Error
                                Response.Write("<p class='error'>Get All users Error(" + userResponse.responseCode + "): " + userResponse.message + "</p>");
                            }
                            else
                            {
                                //Ok
                                userDTO usuario = userResponse.result;
                                Response.Write("<ul>");
                                if (usuario != null)
                                {
                                    Response.Write("<li>" + usuario.name + " " + usuario.surname1 + " " + usuario.surname2 + " [" + usuario.nif + "]</li>");
                                }
                                else
                                {
                                    Response.Write("<li>User Not Found</li>");
                                }
                                Response.Write("</ul>");
                            }
                        }
                        else if (action.Equals("searchusers"))
                        {
                            Response.Write("<h2>Search Users (Query=Admin)</h2>");
                            usersResponseDTO usersResponse = cliente.getUsersBySearchTerm("Admin");
                            if (usersResponse.error)
                            {
                                //Error
                                Response.Write("<p class='error'>Search Users Error(" + usersResponse.responseCode + "): " + usersResponse.message + "</p>");
                            }
                            else
                            {
                                //Ok
                                userDTO[] usuarios = usersResponse.result;
                                Response.Write("<ul>");
                                for (int i = 0; i < usuarios.Length; i++)
                                {
                                    Response.Write("<li>" + usuarios[i].name + " " + usuarios[i].surname1 + " " + usuarios[i].surname2 + " [" + usuarios[i].nif + "]</li>");
                                }
                                Response.Write("</ul>");
                            }
                        }
                        else if (action.Equals("jobs"))
                        {
                            Response.Write("<h2>Get Jobs</h2>");
                            jobsResponseDTO jobsResponse = cliente.getJobs();
                            if (jobsResponse.error)
                            {
                                //Error
                                Response.Write("<p class='error'>Get Jobs Error(" + jobsResponse.responseCode + "): " + jobsResponse.message + "</p>");
                            }
                            else
                            {
                                //Ok
                                jobDTO[] jobs = jobsResponse.result;
                                Response.Write("<ul>");
                                for (int i = 0; i < jobs.Length; i++)
                                {
                                    Response.Write("<li>" + jobs[i].name + " [" + jobs[i].publicAccessId + "]</li>");
                                }
                                Response.Write("</ul>");

                            }

                        }
                        else if (action.Equals("workflows"))
                        {
                            Response.Write("<h2>Get Workflows</h2>");
                            workflowsResponseDTO workflowsResponse = cliente.getWorkflows();
                            if (workflowsResponse.error)
                            {
                                //Error
                                Response.Write("<p class='error'>Get Workflows Error(" + workflowsResponse.responseCode + "): " + workflowsResponse.message + "</p>");
                            }
                            else
                            {
                                //Ok
                                workflowDTO[] workflows = workflowsResponse.result;
                                Response.Write("<ul>");
                                for (int i = 0; i < workflows.Length; i++)
                                {
                                    Response.Write("<li>" + workflows[i].name + " [" + workflows[i].publicAccessId + "]</li>");
                                }
                                Response.Write("</ul>");

                            }

                        }
                        else if (action.Equals("groups"))
                        {
                            Response.Write("<h2>Get Groups</h2>");
                            groupsResponseDTO groupsResponse = cliente.getGroups();
                            if (groupsResponse.error)
                            {
                                //Error
                                Response.Write("<p class='error'>Get Groups Error(" + groupsResponse.responseCode + "): " + groupsResponse.message + "</p>");
                            }
                            else
                            {
                                //Ok
                                groupDTO[] groups = groupsResponse.result;
                                Response.Write("<ul>");
                                for (int i = 0; i < groups.Length; i++)
                                {
                                    Response.Write("<li>" + groups[i].name + " [" + groups[i].publicAccessId + "]</li>");
                                }
                                Response.Write("</ul>");

                            }

                        }
                        else if (action.Equals("rejecttypes"))
                        {
                            Response.Write("<h2>Get Reject Types</h2>");
                            rejectTypesResponseDTO rejecttypesResponse = cliente.getRejectTypes();
                            if (rejecttypesResponse.error)
                            {
                                //Error
                                Response.Write("<p class='error'>Get Reject Types Error(" + rejecttypesResponse.responseCode + "): " + rejecttypesResponse.message + "</p>");
                            }
                            else
                            {
                                //Ok
                                rejectTypeDTO[] rejecttypes = rejecttypesResponse.result;
                                Response.Write("<ul>");
                                for (int i = 0; i < rejecttypes.Length; i++)
                                {
                                    Response.Write("<li>" + rejecttypes[i].name + "</li>");
                                }
                                Response.Write("</ul>");

                            }

                        }
                        else if (action.Equals("metadata"))
                        {
                            Response.Write("<h2>Get Metadata Keys</h2>");
                            metadataResponseDTO metadataResponse = cliente.getMetadataKeys();

                            if (metadataResponse.error)
                            {
                                //Error
                                Response.Write("<p class='error'>Get Metadata Keys Error(" + metadataResponse.responseCode + "): " + metadataResponse.message + "</p>");
                            }
                            else
                            {
                                //Ok
                                metadataDTO[] metadatos = metadataResponse.result;
                                Response.Write("<ul>");
                                for (int i = 0; i < metadatos.Length; i++)
                                {
                                    Response.Write("<li>" + metadatos[i].key + ":" + metadatos[i].defaultValue + "</li>");
                                }
                                Response.Write("</ul>");

                            }

                        }    
                            
                        else if (action.Equals("status"))
                        {
                            Response.Write("<h2>Get Status</h2>");
                            statusResponseDTO statusResponse = cliente.getStatus();
                            if (statusResponse.error)
                            {
                                //Error
                                Response.Write("<p class='error'>Get Status Error(" + statusResponse.responseCode + "): " + statusResponse.message + "</p>");
                            }
                            else
                            {
                                //Ok
                                statusDTO[] status = statusResponse.result;
                                Response.Write("<ul>");
                                for (int i = 0; i < status.Length; i++)
                                {
                                    Response.Write("<li>" + status[i].name + "</li>");
                                }
                                Response.Write("</ul>");

                            }

                        }
                        else if (action.Equals("actiontypes"))
                        {
                            Response.Write("<h2>Get Action Types</h2>");
                            actionTypesResponseDTO actionTypesResponse = cliente.getActionTypes();
                            if (actionTypesResponse.error)
                            {
                                //Error
                                Response.Write("<p class='error'>Get Action Types Error(" + actionTypesResponse.responseCode + "): " + actionTypesResponse.message + "</p>");
                            }
                            else
                            {
                                //Ok
                                actionTypeDTO[] actionTypes = actionTypesResponse.result;
                                Response.Write("<ul>");
                                for (int i = 0; i < actionTypes.Length; i++)
                                {
                                    Response.Write("<li>" + actionTypes[i].name + "</li>");
                                }
                                Response.Write("</ul>");

                            }

                        }
                        else if (action.Equals("accesstypes"))
                        {
                            Response.Write("<h2>Get Access Types</h2>");
                            accessTypesResponseDTO accessTypesResponse = cliente.getAccessTypes();
                            if (accessTypesResponse.error)
                            {
                                //Error
                                Response.Write("<p class='error'>Get Access Types Error(" + accessTypesResponse.responseCode + "): " + accessTypesResponse.message + "</p>");
                            }
                            else
                            {
                                //Ok
                                accessTypeDTO[] accessTypes = accessTypesResponse.result;
                                Response.Write("<ul>");
                                for (int i = 0; i < accessTypes.Length; i++)
                                {
                                    Response.Write("<li>" + accessTypes[i].name + "</li>");
                                }
                                Response.Write("</ul>");

                            }

                        }
                        else if (action.Equals("requestoperations"))
                        {
                            Response.Write("<h2>Test Request Operations</h2>");
                            //1. Send Request
                            //2. Add Coment
                            //3. Get Request Info
                            //4. Get Request Comments
                            //5. Get Request Documents
                            //6. Get Request Annexes

                            requestDTO sendRequest = new requestDTO();
                            requestUserDTO destinatario = new requestUserDTO();
                            documentDTO documento = new documentDTO();
                            documentDTO anexo = new documentDTO();
                            metadataDTO metadato = new metadataDTO();
                            
                            metadato.key = "Cod_expediente";
                            metadato.defaultValue = "XBEJKDUBRDOS";

                            destinatario.personId = nifPruebas;

                            sendRequest.accessType = "ANONIMO";
                            sendRequest.boolNotifyIfRead = true;
                            sendRequest.boolNotifyIfReturned = true;
                            sendRequest.boolNotifyIfSigned = true;
                            sendRequest.message = "Test WS Request";
                            sendRequest.subject = "Test WS Request";

                            documento.fileName = pdfPruebas;
                            documento.data = datos;

                            anexo.fileName = pdfPruebas;
                            anexo.data = datos;

                            requestUserDTO[][][] destinatarios = new requestUserDTO[1][][];
                            documentDTO[] documentos = { documento };
                            documentDTO[] anexos = { anexo };
                            metadataDTO[] metadatos = { metadato };
                            destinatarios[0] = new requestUserDTO[1][];
                            destinatarios[0][0] = new requestUserDTO[1];
                            destinatarios[0][0][0] = destinatario;

                            //Enviamos la petición
                            Response.Write("<ol>");
                            sendRequestResponseDTO respuestaSendRequest = cliente.sendRequest(sendRequest, destinatarios, documentos, anexos, metadatos);
                            if (respuestaSendRequest.error)
                            {
                                //Error
                                Response.Write("<li><p class='error'>Send Request Error(" + respuestaSendRequest.responseCode + "): " + respuestaSendRequest.message + "</p></li>");
                            }
                            else
                            {
                                //Ok
                                Response.Write("<li>Send Request OK</li>");
                                String idPeticion = respuestaSendRequest.result.publicAccessId;

                                //Ahora añadimos un comentario a la petición
                                addCommentResponseDTO respuestaComentario = cliente.addComment(idPeticion, "Test Comment");
                                if (respuestaComentario.error)
                                {
                                    //Error
                                    Response.Write("<li><p class='error'>Add Comment Error(" + respuestaComentario.responseCode + "): " + respuestaComentario.message + "</p></li>");
                                }
                                else
                                {
                                    Response.Write("<li>Add Comment OK</li>");
                                }

                                //Ahora a partir del id de la petición, recuperamos su info
                                requestInfoResponseDTO requestInfo = cliente.getRequestInfo(idPeticion);
                                if (requestInfo.error)
                                {
                                    //Error
                                    Response.Write("<li><p class='error'>Get Request Info Error(" + requestInfo.responseCode + "): " + requestInfo.message + "</p></li>");
                                }
                                else
                                {
                                    //Ok
                                    requestDTO requestAdd = requestInfo.result;
                                    Response.Write("<li>Get Request Info OK (Subject:'" + requestAdd.subject + "', Message:'" + requestAdd.message + "',...)</li>");
                                }

                                //Get request comments
                                requestCommentsResponseDTO reqCommResp = cliente.getRequestComments(idPeticion);
                                if (reqCommResp.error)
                                {
                                    //Error
                                    Response.Write("<li><p class='error'>Get Request Comments Error(" + reqCommResp.responseCode + "): " + reqCommResp.message + "</p></li>");
                                }
                                else
                                {
                                    //Ok
                                    requestCommentDTO[] comentarios = reqCommResp.result;
                                    Response.Write("<li>Get Request Comments OK (" + comentarios.Length + " founds)</li>");

                                }

                                //Documentos firma
                                requestDocumentsResponseDTO documentosFirmaResponse = cliente.getRequestDocuments(idPeticion);
                                if (documentosFirmaResponse.error)
                                {
                                    //Error
                                    Response.Write("<li><p class='error'>Get Request Documents Error(" + documentosFirmaResponse.responseCode + "): " + documentosFirmaResponse.message + "</p></li>");
                                }
                                else
                                {
                                    //Ok
                                    documentDTO[] documentosFirma = documentosFirmaResponse.result;
                                    Response.Write("<li>");
                                    Response.Write("Get Request Documments OK");
                                    Response.Write("<ul>");
                                    for (int i = 0; i < documentosFirma.Length; i++)
                                    {
                                        Response.Write("<li><a href='" + documentosFirma[i].downloadUrl + "' title='Download Document'>" + documentosFirma[i].fileName + "</a></li>");
                                    }
                                    Response.Write("</ul>");
                                    Response.Write("</li>");

                                }

                                //Documentos anexos
                                requestAnnexesResponseDTO documentosAnexosResponse = cliente.getRequestAnnexes(idPeticion);
                                if (documentosAnexosResponse.error)
                                {
                                    //Error
                                    Response.Write("<li><p class='error'>Get Request Annexes Error(" + documentosAnexosResponse.responseCode + "): " + documentosFirmaResponse.message + "</p></li>");
                                }
                                else
                                {
                                    //Ok
                                    documentDTO[] documentosFirma = documentosAnexosResponse.result;
                                    Response.Write("<li>");
                                    Response.Write("Get Request Documments OK");
                                    Response.Write("<ul>");
                                    for (int i = 0; i < documentosFirma.Length; i++)
                                    {
                                        Response.Write("<li><a href='" + documentosFirma[i].downloadUrl + "' title='Download Document'>" + documentosFirma[i].fileName + "</a></li>");
                                    }
                                    Response.Write("</ul>");
                                    Response.Write("</li>");

                                }
                            }
                            Response.Write("</ol>");


                        }
                        else if (action.Equals("preparecomposeresponse"))
                        {
                            Response.Write("<h2>Prepare Compose Request</h2>");
                            if (res != null && res.Equals("ok"))
                            {
                                Response.Write("<p>Sent Successfully</p>");
                            }
                            else
                            {
                                Response.Write("<p class='error'>ERROR: " + message + "</p>");
                            }

                        }
                        else if (action.Equals("prepareworkflowcomposeresponse"))
                        {
                            Response.Write("<h2>Prepare Workflow Compose Request</h2>");
                            if (res != null && res.Equals("ok"))
                            {
                                Response.Write("<p>Sent Successfully</p>");
                            }
                            else
                            {
                                Response.Write("<p class='error'>ERROR: " + message + "</p>");
                            }

                        }
                        else if (action.Equals("preparesignresponse"))
                        {
                            Response.Write("<h2>Prepare Sign Request</h2>");
                            if (res != null && res.Equals("ok"))
                            {
                                Response.Write("<p>Sign Successfully</p>");
                            }
                            else
                            {
                                Response.Write("<p class='error'>ERROR: " + message + "</p>");
                            }
                        }
                        else if (action != null && action.Equals("evaluateGlobalWorkFlow"))
                        {
                            Response.Write("<h2>Evaluate Global WorkFlow Test</h2>");
                            workflowUsersDTO evaluateWorkFlowCompletedResponse = cliente.evaluateGlobalWorkFlow(workflowTest);
                            if (evaluateWorkFlowCompletedResponse.error)
                            {
                                //Error
                                Response.Write("<p class='error'>Evaluate Global WorkFlow Completed(" + evaluateWorkFlowCompletedResponse.responseCode + "): " + evaluateWorkFlowCompletedResponse.message + "</p>");
                            }
                            else
                            {
                                //Ok
                                Response.Write("<p>Evaluate Global WorkFlow Completed Successfully :: "+evaluateWorkFlowCompletedResponse.workflowStringRepresentation+"</p>");
                            }
                        }
                        else if (action != null && action.Equals("evaluateWorkflowAndSendRequest"))
                        {
                            Response.Write("<h2>Evaluate Global WorkFlow + Send request test</h2>");
                            workflowUsersDTO evaluateWorkFlowCompletedResponse = cliente.evaluateGlobalWorkFlow(workflowTest);
                            if (evaluateWorkFlowCompletedResponse.error)
                            {
                                //Error
                                Response.Write("<p class='error'>Evaluate Global WorkFlow Completed(" + evaluateWorkFlowCompletedResponse.responseCode + "): " + evaluateWorkFlowCompletedResponse.message + "</p>");
                            }
                            else
                            {
                                //Ok, now we use object to send request
                                //1. Send Request
                                //2. Add Coment
                                //3. Get Request Info
                                //4. Get Request Comments
                                //5. Get Request Documents
                                //6. Get Request Annexes

                                requestDTO sendRequest = new requestDTO();
                                documentDTO documento = new documentDTO();
                                documentDTO anexo = new documentDTO();
                                metadataDTO metadato = new metadataDTO();

                                metadato.key = "Cod_expediente";
                                metadato.defaultValue = "XBEJKDUBRDOS";

                                sendRequest.accessType = "ANONIMO";
                                sendRequest.boolNotifyIfRead = true;
                                sendRequest.boolNotifyIfReturned = true;
                                sendRequest.boolNotifyIfSigned = true;
                                sendRequest.message = "Test WS Request evaluating workflow";
                                sendRequest.subject = "Test WS Request evaluating workflow with global ID " + workflowTest;

                                documento.fileName = pdfPruebas;
                                documento.data = datos;

                                anexo.fileName = pdfPruebas;
                                anexo.data = datos;

                                //Reuse of evaluateGlobalWorkflow response
                                string workflowStringRepresentation = evaluateWorkFlowCompletedResponse.workflowStringRepresentation;
                                documentDTO[] documentos = { documento };
                                documentDTO[] anexos = { anexo };
                                metadataDTO[] metadatos = { metadato };

                                sendRequestResponseDTO respuestaSendRequest = cliente.sendRequestWithStrWorkflow(sendRequest, workflowStringRepresentation, documentos, anexos, metadatos);
                                if (respuestaSendRequest.error)
                                {
                                    //Error
                                    Response.Write("<li><p class='error'>Send Request Error(" + respuestaSendRequest.responseCode + "): " + respuestaSendRequest.message + "</p></li>");
                                }
                                else
                                {
                                    //Ok
                                    String idPeticion = respuestaSendRequest.result.publicAccessId;
                                    Response.Write("<p>Send Request OK "+idPeticion+"</p>");


                                }
                            }
                        }                        
                        
                    }
                    catch (Exception e)
                    {
                        Response.Write("<p class='error'>Error: " + e.Message + "</p>");
                    }
                }
			
            %>
        </div>
    </div>
    <p id="pie">2010 Viafirma.</p>
</body>
</html>
